Retirer une IP autorisée
curl --request DELETE \
--url https://apidjonanko.tech/web-merchant/allowed-ips/{id} \
--header 'authenticationtoken: <api-key>'const options = {method: 'DELETE', headers: {authenticationtoken: '<api-key>'}};
fetch('https://apidjonanko.tech/web-merchant/allowed-ips/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apidjonanko.tech/web-merchant/allowed-ips/{id}"
headers = {"authenticationtoken": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apidjonanko.tech/web-merchant/allowed-ips/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"authenticationtoken: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"deleted": true
}{
"statusCode": 401,
"message": "Invalid API credentials",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Merchant not found",
"error": "Not Found"
}Sécurité — IPs autorisées
Retirer une IP autorisée
DELETE
/
web-merchant
/
allowed-ips
/
{id}
Retirer une IP autorisée
Authorizations
JWT obtenu via POST /user/login-merchant. À passer tel quel, sans préfixe Bearer.
Path Parameters
Query Parameters
Référence de votre compte marchand (celle choisie à l'inscription, ex. beautyshop).
Example:
"beautyshop"
